Thread (4 messages) flat view 4 messages, 3 authors, 2016-06-15

Re: [PATCH] tests: turn on test-lint-shell-syntax by default

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:55:46

Torsten Bögershausen [off-list ref] writes:
quoted hunk
What do we think about something like this for fishing for which:
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -644,6 +644,10 @@ yes () {
                :
        done
 }
+which () {
+       echo >&2 "which is not portable (please use type)"
+       exit 1
+}

This will happen in runtime, which might be good enough ?
	if (
		which frotz &&
                test $(frobonitz --version" -le 2.0
	   )
        then
		test_set_prereq FROTZ_FROBONITZ
	else
		echo >&2 "suitable Frotz/Frobonitz combo not available;"
                echo >&2 "some tests may be skipped"
	fi

I somehow think this is a lost cause.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help